| optoMDC

Loading...
Searching...
No Matches
optoMDC.registers.mre2_registers.OpticalFeedback Class Reference
Inheritance diagram for optoMDC.registers.mre2_registers.OpticalFeedback:

## Public Member Functions
| __init__ (self, board=None)
| GetOpticalFeedbackA (self)
| GetOpticalFeedbackB (self)
| GetAngleA (self)
| GetAngleB (self)
| GetPDValues (self)
| GetFilteredPDValues (self)
| GetPositionX (self)
| GetPositionY (self)

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0x23
dict | of_a
dict | of_b
dict | x
dict | y
dict | x_stability_a
dict | x_stability_b
dict | v_stability_a
dict | v_stability_b
dict | pd0
dict | pd1
dict | pd2
dict | pd3
dict | fpd0
dict | fpd1
dict | fpd2
dict | fpd3
| name = self.__class__.__name__

## Static Protected Attributes
bool | _is_a_system = True

## Detailed Description

    Device Functionality - Optical Feedback
    System ID: 0x23

    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | Register Name | Id   | Type        | Unit | Range | Default | Comment                                          |
    +===============+======+=============+======+=======+=========+==================================================+
    | of_a          | 0x00 |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | of_b          | 0x01 |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | x             | 0x02 |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | y             | 0x03 |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | x_stability_a | 0x04 |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | x_stability_b | 0x05 |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | v_stability_a | 0x06 |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | v_stability_b | 0x07 |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | pd0           | 0x08 |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | pd1           | 0x09 |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | pd2           | 0x0a |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | pd3           | 0x0b |float 32-bit |None  |       |          |                                                 |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | fpd0          | 0x0c |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | fpd1          | 0x0d |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | fpd2          | 0x0e |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | fpd3          | 0x0f |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.registers.mre2_registers.OpticalFeedback.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ GetAngleA()

optoMDC.registers.mre2_registers.OpticalFeedback.GetAngleA | ( |  | self | ) |

## ◆ GetAngleB()

optoMDC.registers.mre2_registers.OpticalFeedback.GetAngleB | ( |  | self | ) |

## ◆ GetFilteredPDValues()

optoMDC.registers.mre2_registers.OpticalFeedback.GetFilteredPDValues | ( |  | self | ) |

## ◆ GetOpticalFeedbackA()

optoMDC.registers.mre2_registers.OpticalFeedback.GetOpticalFeedbackA | ( |  | self | ) |

## ◆ GetOpticalFeedbackB()

optoMDC.registers.mre2_registers.OpticalFeedback.GetOpticalFeedbackB | ( |  | self | ) |

## ◆ GetPDValues()

optoMDC.registers.mre2_registers.OpticalFeedback.GetPDValues | ( |  | self | ) |

## ◆ GetPositionX()

optoMDC.registers.mre2_registers.OpticalFeedback.GetPositionX | ( |  | self | ) |

## ◆ GetPositionY()

optoMDC.registers.mre2_registers.OpticalFeedback.GetPositionY | ( |  | self | ) |

## ◆ help()

optoMDC.registers.mre2_registers.OpticalFeedback.help | ( |  | ) |
| static

## Member Data Documentation

## ◆ _is_a_system

bool optoMDC.registers.mre2_registers.OpticalFeedback._is_a_system = True
| static protected

## ◆ fpd0

optoMDC.registers.mre2_registers.OpticalFeedback.fpd0

Initial value:
= {'id': self.sys_id << 8 | 0x0c, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ fpd1

optoMDC.registers.mre2_registers.OpticalFeedback.fpd1

Initial value:
= {'id': self.sys_id << 8 | 0x0d, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ fpd2

optoMDC.registers.mre2_registers.OpticalFeedback.fpd2

Initial value:
= {'id': self.sys_id << 8 | 0x0e, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ fpd3

dict optoMDC.registers.mre2_registers.OpticalFeedback.fpd3

Initial value:
= {'id': self.sys_id << 8 | 0x0f, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ name

optoMDC.registers.mre2_registers.OpticalFeedback.name = self.__class__.__name__

## ◆ of_a

dict optoMDC.registers.mre2_registers.OpticalFeedback.of_a

Initial value:
= {'id': self.sys_id << 8 | 0x00, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ of_b

dict optoMDC.registers.mre2_registers.OpticalFeedback.of_b

Initial value:
= {'id': self.sys_id << 8 | 0x01, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ pd0

optoMDC.registers.mre2_registers.OpticalFeedback.pd0

Initial value:
= {'id': self.sys_id << 8 | 0x08, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ pd1

optoMDC.registers.mre2_registers.OpticalFeedback.pd1

Initial value:
= {'id': self.sys_id << 8 | 0x09, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ pd2

optoMDC.registers.mre2_registers.OpticalFeedback.pd2

Initial value:
= {'id': self.sys_id << 8 | 0x0a, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ pd3

dict optoMDC.registers.mre2_registers.OpticalFeedback.pd3

Initial value:
= {'id': self.sys_id << 8 | 0x0b, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ sys_id

int optoMDC.registers.mre2_registers.OpticalFeedback.sys_id = 0x23

## ◆ v_stability_a

dict optoMDC.registers.mre2_registers.OpticalFeedback.v_stability_a

Initial value:
= {'id': self.sys_id << 8 | 0x06, 'type': float, 'unit': None, 'range': None,
'default': 100000.0, 'value': None}

## ◆ v_stability_b

dict optoMDC.registers.mre2_registers.OpticalFeedback.v_stability_b

Initial value:
= {'id': self.sys_id << 8 | 0x07, 'type': float, 'unit': None, 'range': None,
'default': 100000.0, 'value': None}

## ◆ x

dict optoMDC.registers.mre2_registers.OpticalFeedback.x

Initial value:
= {'id': self.sys_id << 8 | 0x02, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ x_stability_a

dict optoMDC.registers.mre2_registers.OpticalFeedback.x_stability_a

Initial value:
= {'id': self.sys_id << 8 | 0x04, 'type': float, 'unit': None, 'range': None,
'default': 10000.0, 'value': None}

## ◆ x_stability_b

dict optoMDC.registers.mre2_registers.OpticalFeedback.x_stability_b

Initial value:
= {'id': self.sys_id << 8 | 0x05, 'type': float, 'unit': None, 'range': None,
'default': 10000.0, 'value': None}

## ◆ y

dict optoMDC.registers.mre2_registers.OpticalFeedback.y

Initial value:
= {'id': self.sys_id << 8 | 0x03, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/registers/mre2_registers.py